Package org.eclipse.birt.core.script

# Class CoreJavaScriptInitializer

java.lang.Object
org.eclipse.birt.core.script.CoreJavaScriptInitializer

All Implemented Interfaces:
  `IJavascriptInitializer`

public class CoreJavaScriptInitializer extends Object implements IJavascriptInitializer

## Constructor Summary

Constructors
Constructor
Description
`CoreJavaScriptInitializer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope)`
intialize the context and scope.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CoreJavaScriptInitializer

public CoreJavaScriptInitializer()

## Method Details

### initialize

public void initialize(org.mozilla.javascript.Context cx, org.mozilla.javascript.Scriptable scope)
Description copied from interface: `IJavascriptInitializer`
intialize the context and scope.

Specified by:
  `initialize` in interface `IJavascriptInitializer`
Parameters:
  `cx` - context.
  `scope` - scope.